Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. User
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's agreements
      GET
  • User
    • List users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Get download link for a CSV file
    • Download a previously uploaded CSV file
  1. User

List users

GET
/v1/users
Returns the users linked to your account and your direct customers. Sorted by name.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠401
🟠403
🟠429
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/users?page=&per_page=' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - response
{
    "data": [
        {
            "id": "98d94657-00f6-428e-a278-1370b35ab67a",
            "name": "Jane Doe",
            "email": "jane.doe@example.com",
            "address": {
                "city": "Tromso",
                "country": "NO",
                "street_address": "Stakkevolvegen 41",
                "state": "State",
                "zip": "9000",
                "phone": "+4746404000"
            },
            "created_at": "2021-10-20 14:01:36",
            "updated_at": "2021-11-11 12:31:19",
            "accounts": [
                {
                    "id": 40,
                    "name": "Account",
                    "email": "account@gmail.com",
                    "onboarding_token": "YOUR_ONBOARDING_TOKEN",
                    "created_at": "2020-07-28 23:21:53",
                    "updated_at": "2021-12-13 12:17:09"
                }
            ],
            "is_two_factor_enabled": false
        }
    ],
    "links": {
        "first": "https://api.amili.no/internal/pay2/external/api/v1/users?page=1",
        "last": "https://api.amili.no/internal/pay2/external/api/v1/users?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "path": "https://api.amili.no/internal/pay2/external/api/v1/users",
        "per_page": 10,
        "to": 1,
        "total": 1
    }
}
Modified at 2026-11-12 15:43:24
Previous
List a customer's agreements
Next
Create user
Built with